#pragma once
#include <stdint.h>
#include <BackupMemory.hpp>

class StateVariables
{
  public:
	StateVariables()
	{
	}

	static void incrProfileNum()
	{
		profileNum++;
	}

	static uint16_t getProfileNum()
	{
		return profileNum;
	}

	static void setForceExit()
	{
		forceExit = true;
	}

	static void clearForceExit()
	{
		forceExit = false;
	}

	static bool getForceExit()
	{
		return forceExit;
	}

	static void setForceRecovery()
	{
		forceRecovery = true;
	}

	static void clearForceRecovery()
	{
		forceRecovery = false;
	}

	static bool getForceRecovery()
	{
		return forceRecovery;
	}

  private:
	static uint16_t PLACE_IN_BACKUP_SRAM() profileNum;
	static bool forceExit;
	static bool forceRecovery;
};
